
import com.imsl.stat.*;
import com.imsl.math.*;

public class KaplanMeierECDFEx1 {

    public static void main(String args[]) {
        double y[] = {
            10.0, 32.0, 56.0, 98.0, 122.0, 181.0, 50.0,
            100.0, 125.0, 150.0, 200.0
        };
        int freq[] = {1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 10};
        int censor[] = {0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1};

        KaplanMeierECDF km = new KaplanMeierECDF(y);
        km.setFrequency(freq);
        km.setCensor(censor);
        double[] fx = km.evaluateCDF();

        int ntimes = km.getNumberOfPoints();
        System.out.println("Number of points = " + ntimes);

        double[] x = km.getTimes();
        PrintMatrix p
                = new PrintMatrix("CDF = 1 - survival of life test subjects");
        p.print(fx);
        p.setTitle("Times of change in CDF");
        p.print(x);
    }
}
